#include <iostream>

using namespace std;

int main()
{
    int n,l;
    cin>>n>>l;

    int x,r=-1;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        if(r==-1&&x<=l)r=i+1;
    }

    cout<<r;

    return 0;
}